// rsff-wi requires but ignores input line CK
module DME-SMV(CK,ur,lr,ra,ua,rr,la);
input CK,ur,lr,ra;
output ua,rr,la;

  wire A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R;

  me ME(A,B,ur,lr);
  rsff-wi RS(CK,N,M,E,F);
  c C_1(E,C,I);
  c C_2(F,D,I);
  c C_3(H,G,J);
  and AND_1(R,E,M);
  and AND_2(Q,F,N);
  andinv AND_3(C,O,A);
  andinv AND_4(D,P,B);
  andinv AND_5(K,H,G);
  andinv AND_6(I,J,H);
  and AND_7(rr,N,K);
  and AND_8(L,M,K);
  or OR_1(G,C,D);
  or OR_2(J,L,ra);
  fork FORK_1(ua,P,R);
  fork FORK_2(la,O,Q);

endmodule
